Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.rmi
Class RMISecurityManager

    java.lang.Object
      |
      +--java.lang.SecurityManager
            |
            +--weblogic.rmi.RMISecurityManager

public class RMISecurityManager
extends java.lang.SecurityManager

WebLogic implements this class for compatibility with `java.rmi.RMISecurityManager`.

The `weblogic.rmi.RMISecurityManager` is very permissive. Unlike other security managers that restrict access, this security manager allows all accesses. Behavior that results from installing a separate security manager for each remote class is not consistent with the behavior of the T3Server. Consequently, WebLogic's RmiT3 depends on security built into the T3Server framework, including user authentication and encryption via SSL, the use of ACLs, and other more security measures that operate consistently system-wide.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class java.lang.SecurityManager
`inCheck`

Constructor Summary
`RMISecurityManager()`

Method Summary
`boolean` | `assessTrust(java.lang.Object[] o)`
`void` | `checkAccept(java.lang.String s, int i)`
`void` | `checkAccess(java.lang.Thread t)`
`void` | `checkAccess(java.lang.ThreadGroup t)`
`void` | `checkAwtEventQueueAccess()`
`void` | `checkConnect(java.lang.String s, int i)`
`void` | `checkConnect(java.lang.String s, int i, java.lang.Object o)`
`void` | `checkCreateClassLoader()`
`void` | `checkDelete(java.lang.String s)`
`void` | `checkExec(java.lang.String s)`
`void` | `checkExit(int i)`
`void` | `checkLink(java.lang.String s)`
`void` | `checkListen(int i)`
`void` | `checkMemberAccess(java.lang.Class c, int i)`
`void` | `checkMulticast(java.net.InetAddress i)`
`void` | `checkMulticast(java.net.InetAddress i, byte b)`
`void` | `checkPackageAccess(java.lang.String s)`
`void` | `checkPackageDefinition(java.lang.String s)`
`void` | `checkPrintJobAccess()`
`void` | `checkPropertiesAccess()`
`void` | `checkPropertyAccess(java.lang.String s)`
`void` | `checkPropertyAccess(java.lang.String s, java.lang.String t)`
`void` | `checkRead(java.io.FileDescriptor f)`
`void` | `checkRead(java.lang.String s)`
`void` | `checkRead(java.lang.String s, java.lang.Object o)`
`void` | `checkSecurityAccess(java.lang.String s)`
`void` | `checkSetFactory()`
`void` | `checkSystemClipboardAccess()`
`boolean` | `checkTopLevelWindow(java.lang.Object o)`
`void` | `checkWrite(java.io.FileDescriptor f)`
`void` | `checkWrite(java.lang.String s)`

Methods inherited from class java.lang.SecurityManager
`checkPermission, checkPermission, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMISecurityManager

    public RMISecurityManager()

Method Detail

### assessTrust

    public boolean assessTrust(java.lang.Object[] o)

### checkCreateClassLoader

    public void checkCreateClassLoader()

  Overrides:
    checkCreateClassLoader in class java.lang.SecurityManager

### checkAccess

    public void checkAccess(java.lang.Thread t)

  Overrides:
    checkAccess in class java.lang.SecurityManager

### checkAccess

    public void checkAccess(java.lang.ThreadGroup t)

  Overrides:
    checkAccess in class java.lang.SecurityManager

### checkExit

    public void checkExit(int i)

  Overrides:
    checkExit in class java.lang.SecurityManager

### checkExec

    public void checkExec(java.lang.String s)

  Overrides:
    checkExec in class java.lang.SecurityManager

### checkLink

    public void checkLink(java.lang.String s)

  Overrides:
    checkLink in class java.lang.SecurityManager

### checkRead

    public void checkRead(java.io.FileDescriptor f)

  Overrides:
    checkRead in class java.lang.SecurityManager

### checkRead

    public void checkRead(java.lang.String s)

  Overrides:
    checkRead in class java.lang.SecurityManager

### checkRead

    public void checkRead(java.lang.String s,
                          java.lang.Object o)

  Overrides:
    checkRead in class java.lang.SecurityManager

### checkWrite

    public void checkWrite(java.io.FileDescriptor f)

  Overrides:
    checkWrite in class java.lang.SecurityManager

### checkWrite

    public void checkWrite(java.lang.String s)

  Overrides:
    checkWrite in class java.lang.SecurityManager

### checkDelete

    public void checkDelete(java.lang.String s)

  Overrides:
    checkDelete in class java.lang.SecurityManager

### checkConnect

    public void checkConnect(java.lang.String s,
                             int i)

  Overrides:
    checkConnect in class java.lang.SecurityManager

### checkConnect

    public void checkConnect(java.lang.String s,
                             int i,
                             java.lang.Object o)

  Overrides:
    checkConnect in class java.lang.SecurityManager

### checkListen

    public void checkListen(int i)

  Overrides:
    checkListen in class java.lang.SecurityManager

### checkAccept

    public void checkAccept(java.lang.String s,
                            int i)

  Overrides:
    checkAccept in class java.lang.SecurityManager

### checkMulticast

    public void checkMulticast(java.net.InetAddress i)

  Overrides:
    checkMulticast in class java.lang.SecurityManager

### checkMulticast

    public void checkMulticast(java.net.InetAddress i,
                               byte b)

  Overrides:
    checkMulticast in class java.lang.SecurityManager

### checkPropertiesAccess

    public void checkPropertiesAccess()

  Overrides:
    checkPropertiesAccess in class java.lang.SecurityManager

### checkPropertyAccess

    public void checkPropertyAccess(java.lang.String s)

  Overrides:
    checkPropertyAccess in class java.lang.SecurityManager

### checkPropertyAccess

    public void checkPropertyAccess(java.lang.String s,
                                    java.lang.String t)

### checkTopLevelWindow

    public boolean checkTopLevelWindow(java.lang.Object o)

  Overrides:
    checkTopLevelWindow in class java.lang.SecurityManager

### checkPrintJobAccess

    public void checkPrintJobAccess()

  Overrides:
    checkPrintJobAccess in class java.lang.SecurityManager

### checkSystemClipboardAccess

    public void checkSystemClipboardAccess()

  Overrides:
    checkSystemClipboardAccess in class java.lang.SecurityManager

### checkAwtEventQueueAccess

    public void checkAwtEventQueueAccess()

  Overrides:
    checkAwtEventQueueAccess in class java.lang.SecurityManager

### checkPackageAccess

    public void checkPackageAccess(java.lang.String s)

  Overrides:
    checkPackageAccess in class java.lang.SecurityManager

### checkPackageDefinition

    public void checkPackageDefinition(java.lang.String s)

  Overrides:
    checkPackageDefinition in class java.lang.SecurityManager

### checkSetFactory

    public void checkSetFactory()

  Overrides:
    checkSetFactory in class java.lang.SecurityManager

### checkMemberAccess

    public void checkMemberAccess(java.lang.Class c,
                                  int i)

  Overrides:
    checkMemberAccess in class java.lang.SecurityManager

### checkSecurityAccess

    public void checkSecurityAccess(java.lang.String s)

  Overrides:
    checkSecurityAccess in class java.lang.SecurityManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD